%global momorel 8
%global srcver 30i

Summary: Tools and APIs for reading and writing compressed deltas
Name:	 xdelta
Version: 3.0i
Release: %{momorel}m%{?dist}
License: GPL
Group:	 System Environment/Libraries
Source0: http://xdelta.googlecode.com/files/%{name}%{srcver}.tar.gz 
NoSource: 0
Patch0:   xdelta-Makefile.patch
Patch1:   xdelta3-regtest-pythonver.patch
URL:	  http://xdelta.org/
BuildRequires: python
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
Xdelta3 is the third and latest release of Xdelta, which is a set of tools and APIs for reading and writing compressed deltas. Deltas encode the differences between two versions of a document. This release features a completely new compression engine, several algorithmic improvements, a fully programmable interface modelled after zlib, in addition to a command-line utility, use of the RFC3284 (VCDIFF) encoding, a python extension, and now 64-bit support.

%package devel
Summary:  Header files and libraries for a development with %{name}
Group:	  Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for a development with %{name}

%prep
%setup -q -n %{name}%{srcver}
%patch0 -p1 -b .orig
%patch1 -p0 -b .orig

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_libdir}/%{name}
mkdir -p %{buildroot}%{python_sitelib}

install -m 755 xdelta3 %{buildroot}%{_bindir}
install -m 755 xdelta3-debug %{buildroot}%{_bindir}
for header in *.h
do
    install -m 644 $header %{buildroot}%{_includedir}
done
install -m 755 build/lib.linux-%{_arch}-2.6/xdelta3.so %{buildroot}%{python_sitelib}
install -m 755 xdelta3-regtest.py %{buildroot}%{_libdir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING www/*
%{_bindir}/*
%{python_sitelib}/*.so

%files devel
%defattr(-, root, root)
%{_includedir}/*.h
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.py

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.0i-8m)
- rebuild against rpm-4.6

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.0i-7m)
- rebuild against python-2.6.1-2m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0i-6m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0i-5m)
- %%NoSource -> NoSource

* Wed Feb  7 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (3.01-4m)
- rebuild against python-2.5-9m

* Wed Jan  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.01-3m)
- add Patch1 for delete dependency about Requires /usr/bin/python2.4

* Tue Jan  2 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (3.01-2m)
- revised install section for arch excluding i686.

* Sun Dec 31 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.0i-1m)
- build for Momonga
